package mysql

import (
	"gorm.io/driver/mysql"
	"gorm.io/gorm"
	"pji_desktop_http/biz/dal/query"
	"time"
)

var dsn = "root:1qaz2wsx!@tcp(36.110.106.156:3306)/pji_desktop?charset=utf8&parseTime=True&loc=Local"

var db *gorm.DB

func Init() {
	var err error
	db, err = gorm.Open(mysql.Open(dsn), &gorm.Config{})
	if err != nil {
		panic(err)
	}
	// 连接池配置
	sqlDB, err := db.DB()
	sqlDB.SetMaxIdleConns(10)           // 设置空闲连接池中连接的最大数量
	sqlDB.SetMaxOpenConns(100)          // 设置打开数据库连接的最大数量
	sqlDB.SetConnMaxLifetime(time.Hour) // 设置连接可复用的最大时间

	query.SetDefault(db)
}
